#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int pre=9;
    int br=0;
    int knjige[n];
    for(int i=0;i<n;i++){
        int x;
        cin>>x;
        knjige[i]=x;
        pre=x;
    }
    A:for(int i=1;i<n;i++){
        if(knjige[i]>knjige[i-1]){
            knjige[i]+=knjige[i-1];
            knjige[i-1]=knjige[i]-knjige[i-1];
            knjige[i]-=knjige[i-1];
            br++;
            goto A;
        }
    }
    if(br==0){
        knjige[n-1]+=knjige[n-2];
        knjige[n-2]=knjige[n-1]-knjige[n-2];
        knjige[n-1]-=knjige[n-2];
    }
    for(int i=0;i<n;i++)
        cout<<knjige[i]<< " ";
    return 0;
}